Subject: bug#3965: 23.1.50; compilation-mode gnu error regexp mismatching ant, irix, gcc-include

From: Chong Yidong <[email-masked]>
Date: Sun, 02 Aug 2009 18:46:59 -0400

> Doing
>
>     (setq compilation-error-regexp-alist '(gnu))
>
> and visiting etc/compilation.txt shows some mismatched parts.
>
> Under "ant" ...
> Under "irix"...
> And under "gcc-include"...
>
> With all patterns enabled `next-error' offers those wrong matches
> instead of what the specific patterns for those parts get -- I suppose
> because the gnu match is earlier in the line.

Correct.  That's the intended behavior.

> My best idea for the irix ones would be to disallow ": " in the gnu
> pattern filename part.  Other colons could be allowed for dos drive
> letters or the occasional filename with a colon, but rate colon+space as
> more likely to be a separator than a part of a name.  Mind you the gnu
> pattern is already far too complicated for me to want to do anything to
> it :-)

There's no point changing the gnu pattern just to handle these
additional patterns, which already have their own dedicated entries in
compilation-error-regexp-alist.